// ? Element 常用表单校验规则

/**
 *  @rule 手机号
 */
export function checkPhoneNumber(rule: any, value: any, callback: any) {
  const regexp = /^(((13[0-9]{1})|(15[0-9]{1})|(16[0-9]{1})|(17[3-8]{1})|(18[0-9]{1})|(19[0-9]{1})|(14[5-7]{1}))+\d{8})$/;
  if (value === "") callback("请输入手机号码");
  if (!regexp.test(value)) {
    callback(new Error("请输入正确的手机号码"));
  } else {
    return callback();
  }
}

// 自定义校验函数：检查是否全是空格或为空
export function validateNoEmptySpaces(rule: any, value: any, callback: any) {
  // 如果值为空或者去空格后为空字符串，则报错
  if (value === null || value === undefined || value.trim() === "") {
    callback(new Error("内容不能全为空格"));
  } else {
    callback(); // 校验通过
  }
}
